Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.xml
Interface XMLString.ElementName

Enclosing interface:
  XMLString

    public static interface XMLString.ElementName

Field Summary
`static String` | `CLASS`
`static String` | `FACET`
`static String` | `FACET_REFERENCE`
`static String` | `KNOWLEDGE_BASE`
`static String` | `NAME`
`static String` | `OWN_SLOT_VALUE`
`static String` | `SIMPLE_INSTANCE`
`static String` | `SLOT`
`static String` | `SLOT_REFERENCE`
`static String` | `SUPERCLASS`
`static String` | `SUPERSLOT`
`static String` | `TEMPLATE_FACET_VALUE`
`static String` | `TEMPLATE_SLOT`
`static String` | `TYPE`
`static String` | `VALUE`

Field Detail

### KNOWLEDGE_BASE

    static final String KNOWLEDGE_BASE

See Also:
  Constant Field Values

### CLASS

    static final String CLASS

See Also:
  Constant Field Values

### SLOT

    static final String SLOT

See Also:
  Constant Field Values

### FACET

    static final String FACET

See Also:
  Constant Field Values

### SIMPLE_INSTANCE

    static final String SIMPLE_INSTANCE

See Also:
  Constant Field Values

### NAME

    static final String NAME

See Also:
  Constant Field Values

### TYPE

    static final String TYPE

See Also:
  Constant Field Values

### SUPERCLASS

    static final String SUPERCLASS

See Also:
  Constant Field Values

### SUPERSLOT

    static final String SUPERSLOT

See Also:
  Constant Field Values

### TEMPLATE_SLOT

    static final String TEMPLATE_SLOT

See Also:
  Constant Field Values

### OWN_SLOT_VALUE

    static final String OWN_SLOT_VALUE

See Also:
  Constant Field Values

### TEMPLATE_FACET_VALUE

    static final String TEMPLATE_FACET_VALUE

See Also:
  Constant Field Values

### SLOT_REFERENCE

    static final String SLOT_REFERENCE

See Also:
  Constant Field Values

### FACET_REFERENCE

    static final String FACET_REFERENCE

See Also:
  Constant Field Values

### VALUE

    static final String VALUE

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.